#!/bin/sh -e

INTERFACE="$1"
CON_NAME=$(nmcli -t -f device,name c | awk -v INTERFACE="$INTERFACE" -F: '$1 == INTERFACE { print $2 }')

SSID=$(nmcli con show "$CON_NAME" 2> /dev/null | awk '$1 == "802-11-wireless.ssid:" { print $2 }')
SECURITY=$(nmcli con show "$CON_NAME" 2> /dev/null | awk '$1 == "802-11-wireless-security.key-mgmt:" { print $2 }')

printf "%s" "$SSID;$SECURITY"
